Subject: bug#58002: 29.1: Sokoban: obsoletion warnings in gamegrid

From: Stefan Kangas <[email-masked]>
Date: Thu, 22 Sep 2022 07:01:31 -0700

Dieter Deyke <[email-masked]> writes:

> I do not know, how your patch will affect older emacs versions, but if
> I get no negative feedback, I will apply the patch to the repo in a
> week.

Thanks for the patch, Mattias.  I was meaning to look into this, but it
seems like you beat me to it.

I've done some minimal testing of the patch on Emacs 27.1 and current
master, and everything seems to work here.